package com.hzs.bonus.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzs.common.domain.member.base.CuMember;

import java.util.List;

/**
 * 会员 Mapper 接口
 */
public interface CuMemberMapper extends BaseMapper<CuMember> {

    /**
     * 更新会员奖衔根据临时表
     */
    Integer updateCuMemberByTemp();

    /*
     *  回退会员奖衔
     **/
    void updateBackCuMemberAward(Integer period);

    /*
     *  查询可以分享的会员人数
     **/
    List<CuMember> queryCuMemberShareTotal(Integer pkCountry);

    /*
     *  根据期间更新会员表复消剩余收益次数  复消剩余收益奖金
     **/
    void mergeCuMemberReSaleDate(Integer period);

    /*
     *  根据期间更新会员表复消剩余收益次数  复消剩余收益奖金
     **/
    void mergeBackCuMemberReSaleDate(Integer period);
}
